HibernateMappingProcessor (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.source.hbm
Class HibernateMappingProcessor

    java.lang.Object
      org.hibernate.metamodel.source.hbm.HibernateMappingProcessor

    public class HibernateMappingProcessor

extends Object

Responsible for processing a `<hibernate-mapping/>` element. Allows processing to be coordinated across all hbm files in an ordered fashion. The order is essentially the same as defined in `MetadataSourceProcessor`

Constructor Summary
`HibernateMappingProcessor(MetadataImplementor metadata, MappingDocument mappingDocument)`

Method Summary
`void` | `processFetchProfiles(List<JaxbFetchProfileElement> fetchProfiles, String containingEntityName)`
`void` | `processIndependentMetadata()`
`void` | `processMappingDependentMetadata()`
`void` | `processTypeDependentMetadata()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HibernateMappingProcessor

    public HibernateMappingProcessor(MetadataImplementor metadata,
                                     MappingDocument mappingDocument)

Method Detail

### processIndependentMetadata

    public void processIndependentMetadata()

### processTypeDependentMetadata

    public void processTypeDependentMetadata()

### processMappingDependentMetadata

    public void processMappingDependentMetadata()

### processFetchProfiles

    public void processFetchProfiles(List<JaxbFetchProfileElement> fetchProfiles,
                                     String containingEntityName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.